USE [Monitorpack_GuardReportsMonitorpack]
GO
/****** Object:  Table [dbo].[AgentDiscoveryAsset]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentDiscoveryAsset](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[Address] [nvarchar](50) NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_AgentDiscoveryAsset] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AgentDiscoveryAssetTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentDiscoveryAssetTemp](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[Address] [nvarchar](50) NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_AgentDiscoveryAssetTemp] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AgentGuardAsset]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentGuardAsset](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_AgentGuardAsset] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AgentGuardAssetTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentGuardAssetTemp](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_AgentGuardAssetTemp] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AgentSnmpAsset]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentSnmpAsset](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_CustomerAsset] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AgentSnmpAssetTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AgentSnmpAssetTemp](
	[Asset_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_CustomerAssetTemp] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityEventID]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityEventID](
	[Event_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('EVT-',CONVERT([varchar](50),[Event_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[LogName] [nvarchar](50) NULL,
	[Source] [nvarchar](200) NULL,
	[EventLevel] [nvarchar](50) NULL,
	[Eventid] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityEventID] PRIMARY KEY CLUSTERED 
(
	[Event_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityPerfCounter]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityPerfCounter](
	[Perfmon_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_PER-',CONVERT([varchar](50),[Perfmon_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Perfmon] [nvarchar](200) NULL,
	[Value] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityPerfCounter] PRIMARY KEY CLUSTERED 
(
	[Perfmon_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityPing]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityPing](
	[Ping_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_PIN-',CONVERT([varchar](50),[Ping_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Ping] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityPing] PRIMARY KEY CLUSTERED 
(
	[Ping_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityPrinter]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityPrinter](
	[Printer_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_PRI-',CONVERT([varchar](50),[Printer_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Printer] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityPrinter] PRIMARY KEY CLUSTERED 
(
	[Printer_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityProcess]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityProcess](
	[Process_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_PRO-',CONVERT([varchar](50),[Process_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Process] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityProcess] PRIMARY KEY CLUSTERED 
(
	[Process_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityService]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityService](
	[Service_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_SER-',CONVERT([varchar](50),[Service_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Service] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityService] PRIMARY KEY CLUSTERED 
(
	[Service_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityShare]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityShare](
	[Share_ID] [bigint] NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_SHA-',CONVERT([varchar](50),[Share_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Share] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityShare] PRIMARY KEY CLUSTERED 
(
	[Share_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilitySnmp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilitySnmp](
	[Snmp_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SNMP-',CONVERT([varchar](50),[Snmp_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Subject] [nvarchar](200) NULL,
	[OID] [nvarchar](200) NULL,
	[Value] [nvarchar](250) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilitySnmp] PRIMARY KEY CLUSTERED 
(
	[Snmp_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityWebProbe]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityWebProbe](
	[Webprobe_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('URL-',CONVERT([varchar](50),[Webprobe_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Webprobe] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityWebProbe] PRIMARY KEY CLUSTERED 
(
	[Webprobe_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AvailabilityWinsock]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AvailabilityWinsock](
	[Socket_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SLA_SOC-',CONVERT([varchar](50),[Socket_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Port] [nvarchar](200) NULL,
	[PortMode] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_AvailabilityWinsock] PRIMARY KEY CLUSTERED 
(
	[Socket_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Discovery]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Discovery](
	[Discovery_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_DiscoveryAsset] PRIMARY KEY CLUSTERED 
(
	[Discovery_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[DiscoveryTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DiscoveryTemp](
	[Discovery_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Insert_Date] [datetime] NULL,
	[MachineName] [nvarchar](50) NULL,
	[Presence] [nvarchar](50) NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
 CONSTRAINT [PK_DiscoveryAssetTemp] PRIMARY KEY CLUSTERED 
(
	[Discovery_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EventID]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EventID](
	[Event_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('EVT-',CONVERT([varchar](50),[Event_ID],(0)))}),
	[Start_Date] [datetime] NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[LogName] [nvarchar](50) NULL,
	[Source] [nvarchar](200) NULL,
	[EventLevel] [nvarchar](50) NULL,
	[Eventid] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_EventID] PRIMARY KEY CLUSTERED 
(
	[Event_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EventTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EventTemp](
	[Event_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[LogName] [varchar](50) NULL,
	[Source] [nvarchar](200) NULL,
	[EventLevel] [varchar](50) NULL,
	[Eventid] [varchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_EventTemp] PRIMARY KEY CLUSTERED 
(
	[Event_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[HostList]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[HostList](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Host] [nvarchar](50) NULL,
	[IsHost] [nvarchar](50) NULL,
	[ShowInMonitor] [nvarchar](50) NULL,
	[DoPing] [nvarchar](50) NULL,
	[PingFreq] [bigint] NULL,
	[IDparent] [bigint] NULL,
 CONSTRAINT [PK_HostList] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PerfCounter]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PerfCounter](
	[Perfmon_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('PER-',CONVERT([varchar](50),[Perfmon_ID],(0)))}),
	[Start_Date] [datetime] NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Perfmon] [nvarchar](200) NULL,
	[Value] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PerfCounter] PRIMARY KEY CLUSTERED 
(
	[Perfmon_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PerfCounterTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PerfCounterTemp](
	[Perfmon_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Start_Date] [datetime] NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Perfmon] [nvarchar](200) NULL,
	[Value] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PerfCounterTemp] PRIMARY KEY CLUSTERED 
(
	[Perfmon_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Ping]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Ping](
	[Ping_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('PIN-',CONVERT([varchar](50),[Ping_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Ping] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Ping] PRIMARY KEY CLUSTERED 
(
	[Ping_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PingTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PingTemp](
	[Ping_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Ping] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PingTemp] PRIMARY KEY CLUSTERED 
(
	[Ping_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Printer]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Printer](
	[Printer_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('PRI-',CONVERT([varchar](50),[Printer_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Printer] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Printer] PRIMARY KEY CLUSTERED 
(
	[Printer_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PrinterTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PrinterTemp](
	[Printer_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Printer] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PrinterTemp] PRIMARY KEY CLUSTERED 
(
	[Printer_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Process]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Process](
	[Process_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('PRO-',CONVERT([varchar](50),[Process_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Process] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Process] PRIMARY KEY CLUSTERED 
(
	[Process_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ProcessTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ProcessTemp](
	[Process_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Process] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_ProcessTemp] PRIMARY KEY CLUSTERED 
(
	[Process_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Service]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Service](
	[Service_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SER-',CONVERT([varchar](50),[Service_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Service] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Service] PRIMARY KEY CLUSTERED 
(
	[Service_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ServiceTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ServiceTemp](
	[Service_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Service] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Closed] [nvarchar](50) NOT NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_ServiceTemp] PRIMARY KEY CLUSTERED 
(
	[Service_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Share]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Share](
	[Share_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SHA-',CONVERT([varchar](50),[Share_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Share] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Share] PRIMARY KEY CLUSTERED 
(
	[Share_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ShareTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ShareTemp](
	[Share_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Share] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_ShareTemp] PRIMARY KEY CLUSTERED 
(
	[Share_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Snmp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Snmp](
	[Snmp_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SNMP-',CONVERT([varchar](50),[Snmp_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Subject] [nvarchar](200) NULL,
	[OID] [nvarchar](200) NULL,
	[Value] [nvarchar](250) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Snmp] PRIMARY KEY CLUSTERED 
(
	[Snmp_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SnmpLog]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SnmpLog](
	[Snmp_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Subject] [nvarchar](200) NULL,
	[OID] [nvarchar](200) NULL,
	[Value] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PSnmpLog] PRIMARY KEY CLUSTERED 
(
	[Snmp_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SnmpTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SnmpTemp](
	[Snmp_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Subject] [nvarchar](200) NULL,
	[OID] [nvarchar](200) NULL,
	[Value] [nvarchar](250) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_PSnmpTemp] PRIMARY KEY CLUSTERED 
(
	[Snmp_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[WebProbe]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[WebProbe](
	[Webprobe_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('URL-',CONVERT([varchar](50),[Webprobe_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Webprobe] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_WebProbe] PRIMARY KEY CLUSTERED 
(
	[Webprobe_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[WebProbeTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[WebProbeTemp](
	[Webprobe_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](50) NULL,
	[Webprobe] [nvarchar](200) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_WebProbeTemp] PRIMARY KEY CLUSTERED 
(
	[Webprobe_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Winsock]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Winsock](
	[Socket_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Incident_Number]  AS ({fn concat('SOC-',CONVERT([varchar](50),[Socket_ID],(0)))}),
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Port] [nvarchar](200) NULL,
	[PortMode] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Managed] [bit] NULL,
	[Closed] [bit] NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_Winsock] PRIMARY KEY CLUSTERED 
(
	[Socket_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[WinsockTemp]    Script Date: 4/17/2024 9:57:43 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[WinsockTemp](
	[Socket_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Insert_Date] [datetime] NOT NULL,
	[Customer] [nvarchar](50) NULL,
	[Site] [nvarchar](50) NULL,
	[Manager] [nvarchar](50) NULL,
	[Severity] [nvarchar](10) NULL,
	[Dashboard] [nvarchar](50) NULL,
	[Application] [nvarchar](150) NULL,
	[Assignee] [nvarchar](50) NULL,
	[Domain] [nvarchar](50) NULL,
	[Computer] [nvarchar](200) NULL,
	[Port] [nvarchar](200) NULL,
	[PortMode] [nvarchar](50) NULL,
	[Status] [nvarchar](50) NULL,
	[Mode] [nvarchar](50) NULL,
	[Alarm] [nvarchar](50) NULL,
	[Availability] [int] NULL,
 CONSTRAINT [PK_WinsockTemp] PRIMARY KEY CLUSTERED 
(
	[Socket_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[AvailabilityPerfCounter] ADD  CONSTRAINT [DF_AvailabilityPerfCounter_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityPerfCounter] ADD  CONSTRAINT [DF_AvailabilityPerfCounter_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityPing] ADD  CONSTRAINT [DF_AvailabilityPing_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityPing] ADD  CONSTRAINT [DF_AvailabilityPing_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityPrinter] ADD  CONSTRAINT [DF_AvailabilityPrinter_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityPrinter] ADD  CONSTRAINT [DF_AvailabilityPrinter_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityProcess] ADD  CONSTRAINT [DF_AvailabilityProcess_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityProcess] ADD  CONSTRAINT [DF_AvailabilityProcess_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityService] ADD  CONSTRAINT [DF_AvailabilityService_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityService] ADD  CONSTRAINT [DF_AvailabilityService_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityShare] ADD  CONSTRAINT [DF_AvailabilityShare_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityShare] ADD  CONSTRAINT [DF_AvailabilityShare_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilitySnmp] ADD  CONSTRAINT [DF_AvailabilitySnmp_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilitySnmp] ADD  CONSTRAINT [DF_AvailabilitySnmp_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityWebProbe] ADD  CONSTRAINT [DF_AvailabilityWebProbe_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityWebProbe] ADD  CONSTRAINT [DF_AvailabilityWebProbe_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[AvailabilityWinsock] ADD  CONSTRAINT [DF_AvailabilityWinsock_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[AvailabilityWinsock] ADD  CONSTRAINT [DF_AvailabilityWinsock_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[EventID] ADD  CONSTRAINT [DF_EventID_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[EventID] ADD  CONSTRAINT [DF_EventID_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[PerfCounter] ADD  CONSTRAINT [DF_PerfCounter_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[PerfCounter] ADD  CONSTRAINT [DF_PerfCounter_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Ping] ADD  CONSTRAINT [DF_Ping_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Ping] ADD  CONSTRAINT [DF_Ping_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Printer] ADD  CONSTRAINT [DF_Printer_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Printer] ADD  CONSTRAINT [DF_Printer_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Process] ADD  CONSTRAINT [DF_Process_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Process] ADD  CONSTRAINT [DF_Process_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Service] ADD  CONSTRAINT [DF_Service_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Service] ADD  CONSTRAINT [DF_Service_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[ServiceTemp] ADD  CONSTRAINT [DF_ServiceTemp_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Share] ADD  CONSTRAINT [DF_Share_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Share] ADD  CONSTRAINT [DF_Share_Closed]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Snmp] ADD  CONSTRAINT [DF_Snmp_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Snmp] ADD  CONSTRAINT [DF_Snmp_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[WebProbe] ADD  CONSTRAINT [DF_WebProbe_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[WebProbe] ADD  CONSTRAINT [DF_WebProbe_]  DEFAULT ((0)) FOR [Closed]
GO
ALTER TABLE [dbo].[Winsock] ADD  CONSTRAINT [DF_Winsock_Managed]  DEFAULT ((0)) FOR [Managed]
GO
ALTER TABLE [dbo].[Winsock] ADD  CONSTRAINT [DF_Winsock_Closed]  DEFAULT ((0)) FOR [Closed]
GO
